Flex SDK'e AIR SDK Kaplayın | Flash Builder

Aşağıdaki talimatlar Flex ve AIR SDK'in belirli sürümlerini referans alır: Flex SDK 4.6.0 ve AIR SDK 3.4. Ancak talimatlar geneldir. AIR SDK'in herhangi bir sürümünü Flex SDK'in herhangi bir sürümüne kaplamak için aşağıdaki talimatları izleyebilirsiniz.

Not:

Flex SDK, AIR SDK'dan daha yeni ise var olmayan, derleme zamanı veya çalışma zamanı hataları ile sonuçlanmayan AIR işlevselliğine dayanabilir.

  1. Flash Builder'dan Çık

  2. (İsteğe bağlı) Tüm dizini kopyalayarak Flex SDK'i yedekleyin.

    Örneğin Flash Builder'da aşağıdaki dizinini kopyalayın:

    • Windows: C:/Program Files/Adobe/Flash Builder 4.7/sdks/4.6.0

    • Mac OS: /Applications/Adobe Flash Builder 4.7/sdks/4.6.0

  3. İşletim Sisteminiz için uygun AIR SDK'i http://www.adobe.com/products/air/sdk/ adresinden indirin ve Flex SDK kök dizinine kaydedin.

    •  Windows: AdobeAIRSDK.zip

    •  Mac OS: AdobeAIRSDK.dmg

  4. AIR SDK arşiv içeriklerini çıkartın ve varolan SDK dosyalarının üzerine yazın.

    • Windows: ZIP dosyasına sağ tıklayın ve Tümünü Genişlet'i seçin veya tercih ettiğiniz bir genişletme aracını kullanın.

    • Mac OS: Terminal'de şu komutları çalıştırın:

      • hdiutil attach AdobeAIRSDK.dmg
      • cp -rf /Volumes/AIR\ SDK/* /path-to-empty-FLEXSDK-directory
    • Dosya izinlerinden dolayı dosyaların üzerine yazmakta sorun yaşarsanız, bu komutu deneyin:

      • sudo hdiutil attach AdobeAIRSDK.dmg
      • sudo cp -rf /Volumes/AIR\ SDK/* /path-to-empty-FLEXSDK-directory
  5. (İsteğe bağlı) Yeni AIR 3.4 API'lerine erişmek için uygulama tanımlayıcı dosyanızı 3.4 ad alanına güncellemeniz gerekir.

    Ad alanını güncellemek için uygulama tanımlayıcınızdaki xmlns niteliğini şu şekilde değiştirin: <application xmlns="http://ns.adobe.com/air/application/3.4">

  6. (İsteğe bağlı) SWF çıkış dosyalarının SWF sürüm 17'yi hedeflemesini sağlamak için ek derleyici argüman geçin: -swf-version=17.

    Ayrıntılı talimatlar için şu makaleye bakın.

 Adobe

Daha hızlı ve daha kolay yardım alın

Yeni kullanıcı mısınız?